<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="namespacepyspottedunipd_1_1cli" kind="namespace" language="Python">
    <compoundname>pyspottedunipd::cli</compoundname>
      <sectiondef kind="var">
      <memberdef kind="variable" id="namespacepyspottedunipd_1_1cli_1af1835d3a86820dbe36529b5de3dc5a5b" prot="public" static="no" mutable="no">
        <type>list</type>
        <definition>list pyspottedunipd::cli.AVAILABLE_OUTPUT_FORMATS</definition>
        <argsstring></argsstring>
        <name>AVAILABLE_OUTPUT_FORMATS</name>
        <initializer>= [&quot;json&quot;, &quot;csv&quot;]</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="24" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="24" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="namespacepyspottedunipd_1_1cli_1affdb4554353d0a89a69903d4ecd3ac73" prot="public" static="no" mutable="no">
        <type>string</type>
        <definition>string pyspottedunipd::cli.SPOTTED_UNIPD_PAGE_ID</definition>
        <argsstring></argsstring>
        <name>SPOTTED_UNIPD_PAGE_ID</name>
        <initializer>= &quot;471034402958762&quot;</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="25" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="25" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="namespacepyspottedunipd_1_1cli_1aa86d390cf9aefcc0542044cc62a4a4b6" prot="public" static="no" mutable="no">
        <type>int</type>
        <definition>int pyspottedunipd::cli.NUMBER_OF_POSTS_TO_FETCH</definition>
        <argsstring></argsstring>
        <name>NUMBER_OF_POSTS_TO_FETCH</name>
        <initializer>= 5000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="26" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="26" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef kind="function" id="namespacepyspottedunipd_1_1cli_1a7af31852b7daec4adf1fb2ad27f24d06" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.cli.create_args</definition>
        <argsstring>()</argsstring>
        <name>create_args</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:return: ArgumentParser
    Parser that handles cmd arguments.
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="29" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="29" bodyend="43"/>
      </memberdef>
      <memberdef kind="function" id="namespacepyspottedunipd_1_1cli_1ae805eb6070caae403075af9e5c4cbff2" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.cli.parse_args</definition>
        <argsstring>(parser)</argsstring>
        <name>parse_args</name>
        <param>
          <type>parser</type>
          <defname>parser</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="44" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="44" bodyend="56"/>
      </memberdef>
      <memberdef kind="function" id="namespacepyspottedunipd_1_1cli_1a17ca67f11bf5d5f848e056fc9fb67966" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.cli.check_args</definition>
        <argsstring>(token, min_post_count, format_out, path_out)</argsstring>
        <name>check_args</name>
        <param>
          <type>token</type>
          <defname>token</defname>
        </param>
        <param>
          <type>min_post_count</type>
          <defname>min_post_count</defname>
        </param>
        <param>
          <type>format_out</type>
          <defname>format_out</defname>
        </param>
        <param>
          <type>path_out</type>
          <defname>path_out</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param token: str
    Token to use Facebook API
:param min_post_count: float
    Minimum number of posts to fetch
:param format_out: str
    Format of output file (json, csv)
:param path_out: str
    File to use as output
:return: bool
    True iff args are correct
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="57" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="57" bodyend="80"/>
      </memberdef>
      <memberdef kind="function" id="namespacepyspottedunipd_1_1cli_1aef953fffa3d31c43383a1c267769da88" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.cli.main</definition>
        <argsstring>()</argsstring>
        <name>main</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="81" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" bodystart="81" bodyend="93"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/cli.py" line="1" column="1"/>
  </compounddef>
</doxygen>
